Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.monte.media.avi
Enum AbstractAVIStream.AVIMediaType

    java.lang.Object
      java.lang.Enum<AbstractAVIStream.AVIMediaType>
          org.monte.media.avi.AbstractAVIStream.AVIMediaType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AbstractAVIStream.AVIMediaType>

Enclosing class:
  AbstractAVIStream

    public static enum AbstractAVIStream.AVIMediaType

extends java.lang.Enum<AbstractAVIStream.AVIMediaType>

Supported media types.

Enum Constant Summary
`AUDIO`
`MIDI`
`TEXT`
`VIDEO`

Field Summary
`protected java.lang.String` | `fccType`

Method Summary
`java.lang.String` | `toString()`
`static AbstractAVIStream.AVIMediaType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AbstractAVIStream.AVIMediaType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AUDIO

    public static final AbstractAVIStream.AVIMediaType AUDIO

### MIDI

    public static final AbstractAVIStream.AVIMediaType MIDI

### TEXT

    public static final AbstractAVIStream.AVIMediaType TEXT

### VIDEO

    public static final AbstractAVIStream.AVIMediaType VIDEO

Field Detail

### fccType

    protected final java.lang.String fccType

Method Detail

### values

    public static AbstractAVIStream.AVIMediaType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AbstractAVIStream.AVIMediaType c : AbstractAVIStream.AVIMediaType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AbstractAVIStream.AVIMediaType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<AbstractAVIStream.AVIMediaType>`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD